/* FONT */
@import url('https://fonts.googleapis.com/css2?family=Grandstander:ital,wght@0,100..900;1,100..900&display=swap');

/* THEME */
:root {
    --bg-dark: #250036;
    --bg-light: #35004e;
    --box-dark: #3f0355;
    --box-medium: #5b047a;
    --box-light: #7809a0;
    --col-purple: #c935ff;
    --col-gold: #ffcc3f;
    --col-white: #eed1f8;

    --radius: 0.5em;
    --radius-lg: 1em;

    --transition: all 1s ease;

    --font: 'Grandstander';
}

/* WHOLE PAGE SETTINGS */
*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: var(--font);
}

html {
    background: radial-gradient(circle at center,
            var(--bg-light) 0%,
            var(--bg-dark) 100%);
    scroll-behavior: smooth;
    overflow-x: hidden;
}

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

header {
    position: relative;
    text-align: center;
    background: url('../images/Banner.png');
    background-position: center;
    background-size: cover;
    padding: 3em;
    border-bottom: 5px solid var(--col-gold);
}

header a.title {
    text-decoration: none;
    color: var(--col-white);
    font-weight: 700;
    font-size: 2em;
    text-shadow: 0px 0px 5px var(--col-gold);
    transition: var(--transition);
}

header a.title:hover {
    text-decoration: none;
    color: var(--col-white);
    font-weight: 700;
    font-size: 2em;
    text-shadow: 0px 0px 15px var(--col-gold);
    transition: var(--transition);
}

header nav {
    padding-top: 1.5em;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
}

header nav a.main-nav {
    padding: 0.7em 1em;
    text-decoration: none;
    color: var(--col-white);
    background: radial-gradient(circle at center,
            var(--box-medium) 0%,
            var(--box-dark) 100%);
    border: 2px solid var(--col-white);
    border-radius: var(--radius);
    transition: var(--transition);
}

header nav a.main-nav:hover {
    padding: 0.7em 1.5em;
    text-decoration: none;
    color: var(--col-gold);
    background: radial-gradient(circle at center,
            var(--box-light) 0%,
            var(--box-dark) 100%);
    border: 2px solid var(--col-gold);
    border-radius: var(--radius-lg);
    transition: var(--transition);
}

main {
    position: relative;
    flex: 1;
    padding: 1.5em;
    margin: auto;
    max-width: 1000px;
    text-align: center;
}

h1,
h2,
h3 {
    color: var(--col-gold);
    margin-bottom: 10px;
    text-shadow: 0px 0px 15px var(--box-light);
}

p {
    color: var(--col-white);
    margin-bottom: 10px;
    line-height: 1.4em;
}

hr {
    border: none;
    border-bottom: 2px solid var(--col-gold);
    width: 50%;
    margin: auto;
    margin-bottom: 1.5em;
}

ul {
    list-style-type: none;
    color: var(--col-white);
}

li {
    font-size: larger;
    margin: 10px;
}

li::before {
    color: var(--col-gold);
    content: "✦  ";
}

li::after {
    color: var(--col-gold);
    content: "  ✦";
}

li.no-decor {
    font-size: medium;
    margin: 10px;
    line-height: 1.5em;
}

li.no-decor::before {
    color: var(--col-gold);
    content: "";
}

li.no-decor::after {
    color: var(--col-gold);
    content: "";
}

.highlight {
    color: var(--col-gold);
}

label {
    color: var(--col-gold);
    font-size: larger;
}

input[type=number] {
    border: none;
    font-size: larger;
    padding: 0.2em;
    background: var(--col-white);
    width: 50px
}

table {
    color: var(--col-white);
    font-weight: 100;
    margin: auto
}

td {
    padding: 0.3em 1.2em
}

a {
    color: var(--col-gold);
}

.list-bookcovers {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
}

.bookcover {
    text-decoration: none;
}

.bookcover img {
    width: 200px;
    height: auto;
    border-radius: var(--radius-lg);
    border: 3px solid black;
    filter: grayscale(100%);
}

.bookcover img:hover {
    width: 200px;
    height: auto;
    border-radius: var(--radius-lg);
    border: 3px solid black;
    filter: grayscale(0%);
    transition: var(--transition);
}

.pov {
    height: 100px;
    border-radius: var(--radius-lg);
    border-top: 2px solid var(--col-gold);
    margin-bottom:10px
}

h4 {
    color: var(--col-gold);
    margin-bottom: 5px;
    text-shadow: 0px 0px 15px var(--box-light);

}

.nav-row , .nav-bottom  {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 10px
}

.nav-row button , .nav-bottom button {
    padding: 0.7em 1em;
    text-decoration: none;
    color: var(--col-white);
    background: radial-gradient(circle at center,
            var(--box-medium) 0%,
            var(--box-dark) 100%);
    border: 2px solid var(--col-white);
    border-radius: var(--radius);
    transition: var(--transition);
}

.nav-row button:active , .nav-bottom button:active {
    padding: 0.7em 1em;
    text-decoration: none;
    color: var(--col-white);
    background: radial-gradient(circle at center,
            var(--box-medium) 0%,
            var(--box-dark) 100%);
    border: 2px solid var(--col-white);
    border-radius: var(--radius);
    transition: var(--transition);
}

.nav-row button:hover , .nav-bottom button:hover {
    padding: 0.7em 1.5em;
    text-decoration: none;
    color: var(--col-gold);
    background: radial-gradient(circle at center,
            var(--box-light) 0%,
            var(--box-dark) 100%);
    border: 2px solid var(--col-gold);
    border-radius: var(--radius-lg);
    transition: var(--transition);
}

.nav-row button:disabled , .nav-bottom button:disabled {
    opacity: 0.35;
    padding: 0.7em 1em;
    text-decoration: none;
    color: var(--col-white);
    background: radial-gradient(circle at center,
            var(--box-medium) 0%,
            var(--box-dark) 100%);
    border: 2px solid var(--col-white);
    border-radius: var(--radius);
}

.nav-row select , .nav-bottom select {
    padding: 0.7em 1em;
    text-decoration: none;
    color: var(--col-white);
    background: radial-gradient(circle at center,
            var(--box-medium) 0%,
            var(--box-dark) 100%);
    border: 2px solid var(--col-white);
    border-radius: var(--radius);
}

.chapter-content {
    padding: 25px 25px 10px 25px;
    max-width: 600px;
    margin: auto
}

footer {
    background: linear-gradient(0deg,
            var(--box-dark) 0%,
            var(--box-medium) 1000%);
    position: relative;
    padding: 1.5em;
    text-align: center;
    color: var(--col-white);
}